Nginx 1.11.7 fix 使用 HTTP/2 與 limit_req 和 auth_request 的衝突

2016-12-18 Nginx

Nginx 在 2016/12/13 釋出 1.11.7 版本,主要修改 SSL 的 bug,其中比較有感的就是如果你已經使用 HTTP/2 的話,又搭配 limit_req 或 auth_request 的話,使用者端 request body 會有損壞的狀況,從 1.11.0 出現的 bug。

 

Bugfix: when using HTTP/2 and the “limit_req” or “auth_request”
directives client request body might be corrupted; the bug had
appeared in 1.11.0.

 

從 Nginx 最近幾個版本的修正來看,HTTP/2 還有許多待補強的 bug,相容性看起來還並不是這麼的好。

發表迴響

你的電子郵件位址並不會被公開。 必要欄位標記為 *

彙整

分類

open all | close all

License

訂閱 Mr. 沙先生 的文章

輸入你的 email 用於訂閱